Bug 38465 - IP's published via static arp aren't useable
Summary: IP's published via static arp aren't useable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-30 21:46 UTC by Jim Levie
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Levie 2001-04-30 21:46:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


Creating a static arp entry with the "pub" qualifer should allow other
systems to obtain the MAC associated with that IP via "who-has". This
doesn't work on 7.1 (or 7.0 for that matter). The command used to create
the arp entry was: "arp -Ds 192.168.0.110 eth0 pub". The entry is visible
in the output of "arp -a" as: "? (192.168.0.110) at * PERM PUP on eth0".
However, the contents of /proc/net/arp show a MAC of 00:00:00:00:00:00.
Using a command of the form "arp -s 192.168.0.110 00:06:29:92:5A:71 pub"
yields the same result. 

Reproducible: Always
Steps to Reproduce:
1. Create a static "published" arp entry with: "arp -Ds 192.168.0.110 eth0
pub"
2. Attempt a ping of the IP while a sniffer (e.g., tcpdump is running)
	

Actual Results:  The sniffer trace will show arp requests reaching the
system, but no arp replies are generated.

Expected Results:  The system with the static arp entry should respond with
the MAC of the ethernet interface the arp entry is bound to.

Comment 1 Pekka Savola 2001-07-22 19:33:23 UTC
I haven't gotten /sbin/arp to work in a long, long time.

Please try to set the mapping with iproute's /sbin/ip, see if that works?

Comment 2 Phil Knirsch 2002-02-14 13:28:00 UTC
Looked at it, seems to be broken. Will check with ip later.

Read ya, Phil

Comment 4 Bugzilla owner 2004-09-30 15:38:58 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.